cURL
curl --request POST \
--url https://sandbox-api.polygon.technology/v0.13/customers/{customerId}/beneficiaries \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"roles": [],
"firstName": "<string>",
"middleName": "<string>",
"lastName": "<string>",
"fullNameAsOnDocument": "<string>",
"nationality": "<string>",
"address": {
"line1": "<string>",
"line2": "<string>",
"city": "<string>",
"state": "<string>",
"postalCode": "<string>",
"country": "<string>"
},
"email": "<string>",
"phone": "<string>",
"title": "<string>",
"ownershipPercentage": "<string>",
"hasControl": true,
"politicallyExposedPerson": true,
"regO": true,
"issuingAuthority": "<string>",
"issuingCountry": "<string>",
"issuingState": "<string>",
"issuedDate": "<string>",
"expirationDate": "<string>",
"verifiedDate": "<string>",
"birthDate": "<string>",
"taxId": "<string>",
"identificationNumber": "<string>"
}
'import requests
url = "https://sandbox-api.polygon.technology/v0.13/customers/{customerId}/beneficiaries"
payload = {
"roles": [],
"firstName": "<string>",
"middleName": "<string>",
"lastName": "<string>",
"fullNameAsOnDocument": "<string>",
"nationality": "<string>",
"address": {
"line1": "<string>",
"line2": "<string>",
"city": "<string>",
"state": "<string>",
"postalCode": "<string>",
"country": "<string>"
},
"email": "<string>",
"phone": "<string>",
"title": "<string>",
"ownershipPercentage": "<string>",
"hasControl": True,
"politicallyExposedPerson": True,
"regO": True,
"issuingAuthority": "<string>",
"issuingCountry": "<string>",
"issuingState": "<string>",
"issuedDate": "<string>",
"expirationDate": "<string>",
"verifiedDate": "<string>",
"birthDate": "<string>",
"taxId": "<string>",
"identificationNumber": "<string>"
}
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
roles: [],
firstName: '<string>',
middleName: '<string>',
lastName: '<string>',
fullNameAsOnDocument: '<string>',
nationality: '<string>',
address: {
line1: '<string>',
line2: '<string>',
city: '<string>',
state: '<string>',
postalCode: '<string>',
country: '<string>'
},
email: '<string>',
phone: '<string>',
title: '<string>',
ownershipPercentage: '<string>',
hasControl: true,
politicallyExposedPerson: true,
regO: true,
issuingAuthority: '<string>',
issuingCountry: '<string>',
issuingState: '<string>',
issuedDate: '<string>',
expirationDate: '<string>',
verifiedDate: '<string>',
birthDate: '<string>',
taxId: '<string>',
identificationNumber: '<string>'
})
};
fetch('https://sandbox-api.polygon.technology/v0.13/customers/{customerId}/beneficiaries', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://sandbox-api.polygon.technology/v0.13/customers/{customerId}/beneficiaries",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'roles' => [
],
'firstName' => '<string>',
'middleName' => '<string>',
'lastName' => '<string>',
'fullNameAsOnDocument' => '<string>',
'nationality' => '<string>',
'address' => [
'line1' => '<string>',
'line2' => '<string>',
'city' => '<string>',
'state' => '<string>',
'postalCode' => '<string>',
'country' => '<string>'
],
'email' => '<string>',
'phone' => '<string>',
'title' => '<string>',
'ownershipPercentage' => '<string>',
'hasControl' => true,
'politicallyExposedPerson' => true,
'regO' => true,
'issuingAuthority' => '<string>',
'issuingCountry' => '<string>',
'issuingState' => '<string>',
'issuedDate' => '<string>',
'expirationDate' => '<string>',
'verifiedDate' => '<string>',
'birthDate' => '<string>',
'taxId' => '<string>',
'identificationNumber' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"Idempotency-Key: <idempotency-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://sandbox-api.polygon.technology/v0.13/customers/{customerId}/beneficiaries"
payload := strings.NewReader("{\n \"roles\": [],\n \"firstName\": \"<string>\",\n \"middleName\": \"<string>\",\n \"lastName\": \"<string>\",\n \"fullNameAsOnDocument\": \"<string>\",\n \"nationality\": \"<string>\",\n \"address\": {\n \"line1\": \"<string>\",\n \"line2\": \"<string>\",\n \"city\": \"<string>\",\n \"state\": \"<string>\",\n \"postalCode\": \"<string>\",\n \"country\": \"<string>\"\n },\n \"email\": \"<string>\",\n \"phone\": \"<string>\",\n \"title\": \"<string>\",\n \"ownershipPercentage\": \"<string>\",\n \"hasControl\": true,\n \"politicallyExposedPerson\": true,\n \"regO\": true,\n \"issuingAuthority\": \"<string>\",\n \"issuingCountry\": \"<string>\",\n \"issuingState\": \"<string>\",\n \"issuedDate\": \"<string>\",\n \"expirationDate\": \"<string>\",\n \"verifiedDate\": \"<string>\",\n \"birthDate\": \"<string>\",\n \"taxId\": \"<string>\",\n \"identificationNumber\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Idempotency-Key", "<idempotency-key>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://sandbox-api.polygon.technology/v0.13/customers/{customerId}/beneficiaries")
.header("Idempotency-Key", "<idempotency-key>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"roles\": [],\n \"firstName\": \"<string>\",\n \"middleName\": \"<string>\",\n \"lastName\": \"<string>\",\n \"fullNameAsOnDocument\": \"<string>\",\n \"nationality\": \"<string>\",\n \"address\": {\n \"line1\": \"<string>\",\n \"line2\": \"<string>\",\n \"city\": \"<string>\",\n \"state\": \"<string>\",\n \"postalCode\": \"<string>\",\n \"country\": \"<string>\"\n },\n \"email\": \"<string>\",\n \"phone\": \"<string>\",\n \"title\": \"<string>\",\n \"ownershipPercentage\": \"<string>\",\n \"hasControl\": true,\n \"politicallyExposedPerson\": true,\n \"regO\": true,\n \"issuingAuthority\": \"<string>\",\n \"issuingCountry\": \"<string>\",\n \"issuingState\": \"<string>\",\n \"issuedDate\": \"<string>\",\n \"expirationDate\": \"<string>\",\n \"verifiedDate\": \"<string>\",\n \"birthDate\": \"<string>\",\n \"taxId\": \"<string>\",\n \"identificationNumber\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://sandbox-api.polygon.technology/v0.13/customers/{customerId}/beneficiaries")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Idempotency-Key"] = '<idempotency-key>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"roles\": [],\n \"firstName\": \"<string>\",\n \"middleName\": \"<string>\",\n \"lastName\": \"<string>\",\n \"fullNameAsOnDocument\": \"<string>\",\n \"nationality\": \"<string>\",\n \"address\": {\n \"line1\": \"<string>\",\n \"line2\": \"<string>\",\n \"city\": \"<string>\",\n \"state\": \"<string>\",\n \"postalCode\": \"<string>\",\n \"country\": \"<string>\"\n },\n \"email\": \"<string>\",\n \"phone\": \"<string>\",\n \"title\": \"<string>\",\n \"ownershipPercentage\": \"<string>\",\n \"hasControl\": true,\n \"politicallyExposedPerson\": true,\n \"regO\": true,\n \"issuingAuthority\": \"<string>\",\n \"issuingCountry\": \"<string>\",\n \"issuingState\": \"<string>\",\n \"issuedDate\": \"<string>\",\n \"expirationDate\": \"<string>\",\n \"verifiedDate\": \"<string>\",\n \"birthDate\": \"<string>\",\n \"taxId\": \"<string>\",\n \"identificationNumber\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"object": "businessBeneficiary",
"customerId": "<string>",
"roles": [
"beneficialOwner"
],
"version": 2,
"firstName": "<string>",
"middleName": "<string>",
"lastName": "<string>",
"fullNameAsOnDocument": "<string>",
"nationality": "<string>",
"address": {
"line1": "<string>",
"line2": "<string>",
"city": "<string>",
"state": "<string>",
"postalCode": "<string>",
"country": "<string>"
},
"email": "<string>",
"emailType": "personal",
"phone": "<string>",
"phoneType": "home",
"title": "<string>",
"ownershipPercentage": "<string>",
"hasControl": true,
"politicallyExposedPerson": true,
"regO": true,
"riskRating": "low",
"taxIdType": "ein",
"identificationType": "driversLicense",
"issuingAuthority": "<string>",
"issuingCountry": "<string>",
"issuingState": "<string>",
"issuedDate": "<string>",
"expirationDate": "<string>",
"verifiedDate": "<string>",
"hasBirthDate": true,
"hasTaxId": true,
"hasIdentificationNumber": true,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}{
"error": "Unauthorized",
"code": 1000,
"msg": "unauthorized access",
"status": 401,
"cause": "signature"
}{
"error": "Unauthorized",
"code": 1000,
"msg": "unauthorized access",
"status": 401,
"cause": "signature"
}{
"error": "Unauthorized",
"code": 1000,
"msg": "unauthorized access",
"status": 401,
"cause": "signature"
}{
"error": "Unauthorized",
"code": 1000,
"msg": "unauthorized access",
"status": 401,
"cause": "signature"
}{
"error": "Unauthorized",
"code": 1000,
"msg": "unauthorized access",
"status": 401,
"cause": "signature"
}{
"error": "Unauthorized",
"code": 1000,
"msg": "unauthorized access",
"status": 401,
"cause": "signature"
}Business onboarding
Post customers beneficiaries
POST
/
customers
/
{customerId}
/
beneficiaries
cURL
curl --request POST \
--url https://sandbox-api.polygon.technology/v0.13/customers/{customerId}/beneficiaries \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"roles": [],
"firstName": "<string>",
"middleName": "<string>",
"lastName": "<string>",
"fullNameAsOnDocument": "<string>",
"nationality": "<string>",
"address": {
"line1": "<string>",
"line2": "<string>",
"city": "<string>",
"state": "<string>",
"postalCode": "<string>",
"country": "<string>"
},
"email": "<string>",
"phone": "<string>",
"title": "<string>",
"ownershipPercentage": "<string>",
"hasControl": true,
"politicallyExposedPerson": true,
"regO": true,
"issuingAuthority": "<string>",
"issuingCountry": "<string>",
"issuingState": "<string>",
"issuedDate": "<string>",
"expirationDate": "<string>",
"verifiedDate": "<string>",
"birthDate": "<string>",
"taxId": "<string>",
"identificationNumber": "<string>"
}
'import requests
url = "https://sandbox-api.polygon.technology/v0.13/customers/{customerId}/beneficiaries"
payload = {
"roles": [],
"firstName": "<string>",
"middleName": "<string>",
"lastName": "<string>",
"fullNameAsOnDocument": "<string>",
"nationality": "<string>",
"address": {
"line1": "<string>",
"line2": "<string>",
"city": "<string>",
"state": "<string>",
"postalCode": "<string>",
"country": "<string>"
},
"email": "<string>",
"phone": "<string>",
"title": "<string>",
"ownershipPercentage": "<string>",
"hasControl": True,
"politicallyExposedPerson": True,
"regO": True,
"issuingAuthority": "<string>",
"issuingCountry": "<string>",
"issuingState": "<string>",
"issuedDate": "<string>",
"expirationDate": "<string>",
"verifiedDate": "<string>",
"birthDate": "<string>",
"taxId": "<string>",
"identificationNumber": "<string>"
}
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
roles: [],
firstName: '<string>',
middleName: '<string>',
lastName: '<string>',
fullNameAsOnDocument: '<string>',
nationality: '<string>',
address: {
line1: '<string>',
line2: '<string>',
city: '<string>',
state: '<string>',
postalCode: '<string>',
country: '<string>'
},
email: '<string>',
phone: '<string>',
title: '<string>',
ownershipPercentage: '<string>',
hasControl: true,
politicallyExposedPerson: true,
regO: true,
issuingAuthority: '<string>',
issuingCountry: '<string>',
issuingState: '<string>',
issuedDate: '<string>',
expirationDate: '<string>',
verifiedDate: '<string>',
birthDate: '<string>',
taxId: '<string>',
identificationNumber: '<string>'
})
};
fetch('https://sandbox-api.polygon.technology/v0.13/customers/{customerId}/beneficiaries', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://sandbox-api.polygon.technology/v0.13/customers/{customerId}/beneficiaries",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'roles' => [
],
'firstName' => '<string>',
'middleName' => '<string>',
'lastName' => '<string>',
'fullNameAsOnDocument' => '<string>',
'nationality' => '<string>',
'address' => [
'line1' => '<string>',
'line2' => '<string>',
'city' => '<string>',
'state' => '<string>',
'postalCode' => '<string>',
'country' => '<string>'
],
'email' => '<string>',
'phone' => '<string>',
'title' => '<string>',
'ownershipPercentage' => '<string>',
'hasControl' => true,
'politicallyExposedPerson' => true,
'regO' => true,
'issuingAuthority' => '<string>',
'issuingCountry' => '<string>',
'issuingState' => '<string>',
'issuedDate' => '<string>',
'expirationDate' => '<string>',
'verifiedDate' => '<string>',
'birthDate' => '<string>',
'taxId' => '<string>',
'identificationNumber' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"Idempotency-Key: <idempotency-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://sandbox-api.polygon.technology/v0.13/customers/{customerId}/beneficiaries"
payload := strings.NewReader("{\n \"roles\": [],\n \"firstName\": \"<string>\",\n \"middleName\": \"<string>\",\n \"lastName\": \"<string>\",\n \"fullNameAsOnDocument\": \"<string>\",\n \"nationality\": \"<string>\",\n \"address\": {\n \"line1\": \"<string>\",\n \"line2\": \"<string>\",\n \"city\": \"<string>\",\n \"state\": \"<string>\",\n \"postalCode\": \"<string>\",\n \"country\": \"<string>\"\n },\n \"email\": \"<string>\",\n \"phone\": \"<string>\",\n \"title\": \"<string>\",\n \"ownershipPercentage\": \"<string>\",\n \"hasControl\": true,\n \"politicallyExposedPerson\": true,\n \"regO\": true,\n \"issuingAuthority\": \"<string>\",\n \"issuingCountry\": \"<string>\",\n \"issuingState\": \"<string>\",\n \"issuedDate\": \"<string>\",\n \"expirationDate\": \"<string>\",\n \"verifiedDate\": \"<string>\",\n \"birthDate\": \"<string>\",\n \"taxId\": \"<string>\",\n \"identificationNumber\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Idempotency-Key", "<idempotency-key>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://sandbox-api.polygon.technology/v0.13/customers/{customerId}/beneficiaries")
.header("Idempotency-Key", "<idempotency-key>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"roles\": [],\n \"firstName\": \"<string>\",\n \"middleName\": \"<string>\",\n \"lastName\": \"<string>\",\n \"fullNameAsOnDocument\": \"<string>\",\n \"nationality\": \"<string>\",\n \"address\": {\n \"line1\": \"<string>\",\n \"line2\": \"<string>\",\n \"city\": \"<string>\",\n \"state\": \"<string>\",\n \"postalCode\": \"<string>\",\n \"country\": \"<string>\"\n },\n \"email\": \"<string>\",\n \"phone\": \"<string>\",\n \"title\": \"<string>\",\n \"ownershipPercentage\": \"<string>\",\n \"hasControl\": true,\n \"politicallyExposedPerson\": true,\n \"regO\": true,\n \"issuingAuthority\": \"<string>\",\n \"issuingCountry\": \"<string>\",\n \"issuingState\": \"<string>\",\n \"issuedDate\": \"<string>\",\n \"expirationDate\": \"<string>\",\n \"verifiedDate\": \"<string>\",\n \"birthDate\": \"<string>\",\n \"taxId\": \"<string>\",\n \"identificationNumber\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://sandbox-api.polygon.technology/v0.13/customers/{customerId}/beneficiaries")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Idempotency-Key"] = '<idempotency-key>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"roles\": [],\n \"firstName\": \"<string>\",\n \"middleName\": \"<string>\",\n \"lastName\": \"<string>\",\n \"fullNameAsOnDocument\": \"<string>\",\n \"nationality\": \"<string>\",\n \"address\": {\n \"line1\": \"<string>\",\n \"line2\": \"<string>\",\n \"city\": \"<string>\",\n \"state\": \"<string>\",\n \"postalCode\": \"<string>\",\n \"country\": \"<string>\"\n },\n \"email\": \"<string>\",\n \"phone\": \"<string>\",\n \"title\": \"<string>\",\n \"ownershipPercentage\": \"<string>\",\n \"hasControl\": true,\n \"politicallyExposedPerson\": true,\n \"regO\": true,\n \"issuingAuthority\": \"<string>\",\n \"issuingCountry\": \"<string>\",\n \"issuingState\": \"<string>\",\n \"issuedDate\": \"<string>\",\n \"expirationDate\": \"<string>\",\n \"verifiedDate\": \"<string>\",\n \"birthDate\": \"<string>\",\n \"taxId\": \"<string>\",\n \"identificationNumber\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"object": "businessBeneficiary",
"customerId": "<string>",
"roles": [
"beneficialOwner"
],
"version": 2,
"firstName": "<string>",
"middleName": "<string>",
"lastName": "<string>",
"fullNameAsOnDocument": "<string>",
"nationality": "<string>",
"address": {
"line1": "<string>",
"line2": "<string>",
"city": "<string>",
"state": "<string>",
"postalCode": "<string>",
"country": "<string>"
},
"email": "<string>",
"emailType": "personal",
"phone": "<string>",
"phoneType": "home",
"title": "<string>",
"ownershipPercentage": "<string>",
"hasControl": true,
"politicallyExposedPerson": true,
"regO": true,
"riskRating": "low",
"taxIdType": "ein",
"identificationType": "driversLicense",
"issuingAuthority": "<string>",
"issuingCountry": "<string>",
"issuingState": "<string>",
"issuedDate": "<string>",
"expirationDate": "<string>",
"verifiedDate": "<string>",
"hasBirthDate": true,
"hasTaxId": true,
"hasIdentificationNumber": true,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}{
"error": "Unauthorized",
"code": 1000,
"msg": "unauthorized access",
"status": 401,
"cause": "signature"
}{
"error": "Unauthorized",
"code": 1000,
"msg": "unauthorized access",
"status": 401,
"cause": "signature"
}{
"error": "Unauthorized",
"code": 1000,
"msg": "unauthorized access",
"status": 401,
"cause": "signature"
}{
"error": "Unauthorized",
"code": 1000,
"msg": "unauthorized access",
"status": 401,
"cause": "signature"
}{
"error": "Unauthorized",
"code": 1000,
"msg": "unauthorized access",
"status": 401,
"cause": "signature"
}{
"error": "Unauthorized",
"code": 1000,
"msg": "unauthorized access",
"status": 401,
"cause": "signature"
}Authorizations
Token from POST /auth/token
Headers
Client-supplied request key. Required on all non-auth POST requests.
Maximum string length:
256Path Parameters
Body
application/json
Full replacement of non-sensitive beneficiary facts. Omitted non-sensitive values are cleared. Sensitive identifiers are write-only; omission preserves their values and an empty string clears them. Enum values use camelCase.
Available options:
beneficialOwner, controller, director, signatory, representative Available options:
personal, work, other Available options:
home, mobile, work, fax Available options:
low, medium, high Available options:
ein, vat, foreign, ssn, itin, foreignTin Available options:
driversLicense, passport, idCard, socialSecurityCard, other Response
Success
Available options:
businessBeneficiary Available options:
beneficialOwner, controller, director, signatory, representative Required range:
x >= 1Available options:
personal, work, other Available options:
home, mobile, work, fax Available options:
low, medium, high Available options:
ein, vat, foreign, ssn, itin, foreignTin Available options:
driversLicense, passport, idCard, socialSecurityCard, other Was this page helpful?